%define oname qCheckGMail

Summary:	%{oname} is a Qt/C++ checker for multiple gmail accounts
Summary(de):	%{oname} ist ein Qt/C++ Überprüfer für mehrere GMail Konten
Name:		qcheckgmail
Version:	1.2.9
Release:	%mkrel 1
Group:		Networking/Mail
License:	GPLv2+
URL:		http://mhogomchungu.github.io/qCheckGMail/
Source0:	qCheckGMail-%{version}.tar.xz
Source1:    qCheckGMail.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
#--------------------------------------------
BuildRequires: cmake
BuildRequires: libgcrypt-devel
BuildRequires: libglib2.0-devel
BuildRequires: libgpg-error-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5widgets-devel
BuildRequires: libsecret-devel
BuildRequires: qtbase5-common-devel
#--------------------------------------------

%description
%{oname} is a Qt/C++ multiple gmail account checker

Supported features:
- Multiple accounts
- Multiple labels
- tray pop up bubble can show accounts by their account names 
  or by an alternative display name
- Operations not blocking the UI and plasma-desktop
- Keys are stored in kwallet
- Automatic new email checks with configurable time interval
- Manual email check
- Ability to pause and unpause automatic email checks

%description -l de
%{oname} ist ein Qt/C++ Überprüfer für mehrere GMail Konten

Bereitgestellte eigenschaften:
- Mehrere Konten
- Mehrere Labels
- Tray-Symbol Popup-Blasen können Konten mit dem Namen oder einem 
  alternativen Anzeigenamen anzeigen
- die Operationen blockieren das UI und den Plasma-Desktop nicht
- Schlüssel werden in kwallet gespeichert
- Automatisches Überprüfen auf neue EMail mit konfigurierbarem 
  Zeitintervall
- Manuelle Überprüfung auf neue EMails
- Möglichkeit das automatische Prüfen auf neue EMails zu pausieren

%prep
%setup -qn qCheckGMail-%{version}

%build
%cmake -DQT5=true -DCMAKE_INSTALL_PREFIX=/usr -DNOKDESUPPORT=true -DCMAKE_BUILD_TYPE=RELEASE
%make

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd

mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/pixmaps/qCheckGMail.png

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus



%files
%defattr(-,root,root)
%doc README.md
%{_sysconfdir}/xdg/autostart/qCheckGMail-autostart.desktop
%{_bindir}/qCheckGMail
%{_datadir}/applications/qCheckGMail.desktop
%{_datadir}/apps/qCheckGMail/qCheckGMail.notifyrc
%{_datadir}/icons/qCheckGMail.svg
%{_datadir}/kde4/apps/qCheckGMail/qCheckGMail.notifyrc
%{_datadir}/knotifications5/qCheckGMail.notifyrc
%{_datadir}/pixmaps/qCheckGMail.svg
#%{_datadir}/qCheckGMail/audio/KDE-Im-New-Mail.ogg
%{_datadir}/qCheckGMail/lxqt_wallet/translations.qm/*.qm
%{_datadir}/qCheckGMail/translations.qm/*.qm
%{_datadir}/pixmaps/qCheckGMail.png

%changelog
* Mon Jul 09 2018 adrianomorselli <adrianomorselli> 1.2.9-1uplos2018
- update
